<html>
<head>
<title>OGRE: OgreConfig.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreConfig.h File Reference</h1>
<p>
<a href="OgreConfig_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#32f2c6d9561997c849e610d3b4b34a35">OGRE_PROFILING</a>&nbsp;&nbsp;&nbsp;0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">If set to 1, profiling code will be included in the application.  <a href="#32f2c6d9561997c849e610d3b4b34a35"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#f6e491ff6b09be36783f1d8475477875">OGRE_ASSERT_MODE</a>&nbsp;&nbsp;&nbsp;0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">There are three modes for handling asserts in OGRE: 0 - STANDARD - Standard asserts in debug builds, nothing in release builds 1 - RELEASE_EXCEPTIONS - Standard asserts in debug builds, exceptions in release builds 2 - EXCEPTIONS - Exceptions in debug builds, exceptions in release builds.  <a href="#f6e491ff6b09be36783f1d8475477875"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#25da6395d80814d615a4db506aac2be0">OGRE_PRETEND_TEXTURE_UNITS</a>&nbsp;&nbsp;&nbsp;0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">If set to &gt;0, OGRE will always 'think' that the graphics card only has the number of texture units specified.  <a href="#25da6395d80814d615a4db506aac2be0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#94111ac1715dbfa2a074789b0d0aef17">OGRE_DOUBLE_PRECISION</a>&nbsp;&nbsp;&nbsp;0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">If set to 1, Real is typedef'ed to double.  <a href="#94111ac1715dbfa2a074789b0d0aef17"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#73f03c4000193e826a1489b02ea50309">OGRE_MAX_TEXTURE_COORD_SETS</a>&nbsp;&nbsp;&nbsp;6</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Define number of texture coordinate sets allowed per vertex.  <a href="#73f03c4000193e826a1489b02ea50309"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#1c5fd80e6e0f2f85d6facbe1ec8eb5a4">OGRE_MAX_TEXTURE_LAYERS</a>&nbsp;&nbsp;&nbsp;16</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Define max number of texture layers allowed per pass on any card.  <a href="#1c5fd80e6e0f2f85d6facbe1ec8eb5a4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#3d20e242d4a6aab7de105d85608b286a">OGRE_MAX_SIMULTANEOUS_LIGHTS</a>&nbsp;&nbsp;&nbsp;8</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Define max number of lights allowed per pass.  <a href="#3d20e242d4a6aab7de105d85608b286a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#ec70545291c5268ff4007e5516f09985">OGRE_MAX_BLEND_WEIGHTS</a>&nbsp;&nbsp;&nbsp;4</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Define max number of blending weights allowed per vertex.  <a href="#ec70545291c5268ff4007e5516f09985"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#750af2f404d81ed4b59fb9840e138ad7">OGRE_DEBUG_MEMORY_MANAGER</a>&nbsp;&nbsp;&nbsp;0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Define this if you want to link OGRE as a static lib (preferably as a project file).  <a href="#750af2f404d81ed4b59fb9840e138ad7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#1555343fe7aade0966aa442f2e0c16f5">OGRE_MAX_MULTIPLE_RENDER_TARGETS</a>&nbsp;&nbsp;&nbsp;8</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Define max number of multiple render targets (MRTs) to render to at once.  <a href="#1555343fe7aade0966aa442f2e0c16f5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#fa59b2959a6c7c31903b38cb2a99f28d">OGRE_THREAD_SUPPORT</a>&nbsp;&nbsp;&nbsp;0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Indicate general support for multithreading.  <a href="#fa59b2959a6c7c31903b38cb2a99f28d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#e01b5c1e6dc6e58e47575ae559ae714d">OGRE_NO_FREEIMAGE</a>&nbsp;&nbsp;&nbsp;0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Disables use of the FreeImage image library for loading images.  <a href="#e01b5c1e6dc6e58e47575ae559ae714d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#70c461ba59b8a4754467ed12477d19ed">OGRE_NO_DEVIL</a>&nbsp;&nbsp;&nbsp;1</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Disables use of the DevIL image library for loading images.  <a href="#70c461ba59b8a4754467ed12477d19ed"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreConfig_8h.html#27185026ec1dba493d4ec515ac26f35e">OGRE_NO_DDS_CODEC</a>&nbsp;&nbsp;&nbsp;0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Disables use of the internal image codec for loading DDS files.  <a href="#27185026ec1dba493d4ec515ac26f35e"></a><br></td></tr>
</table>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="f6e491ff6b09be36783f1d8475477875"></a><!-- doxytag: member="OgreConfig.h::OGRE_ASSERT_MODE" ref="f6e491ff6b09be36783f1d8475477875" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_ASSERT_MODE&nbsp;&nbsp;&nbsp;0          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
There are three modes for handling asserts in OGRE: 0 - STANDARD - Standard asserts in debug builds, nothing in release builds 1 - RELEASE_EXCEPTIONS - Standard asserts in debug builds, exceptions in release builds 2 - EXCEPTIONS - Exceptions in debug builds, exceptions in release builds. 
<p>

<p>Definition at line <a class="el" href="OgreConfig_8h-source.html#l00048">48</a> of file <a class="el" href="OgreConfig_8h-source.html">OgreConfig.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="750af2f404d81ed4b59fb9840e138ad7"></a><!-- doxytag: member="OgreConfig.h::OGRE_DEBUG_MEMORY_MANAGER" ref="750af2f404d81ed4b59fb9840e138ad7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_DEBUG_MEMORY_MANAGER&nbsp;&nbsp;&nbsp;0          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Define this if you want to link OGRE as a static lib (preferably as a project file). 
<p>
Set this to 0 if you want to use the standard memory manager in Debug builds Release builds always use the standard memory manager 
<p>Definition at line <a class="el" href="OgreConfig_8h-source.html#l00089">89</a> of file <a class="el" href="OgreConfig_8h-source.html">OgreConfig.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="94111ac1715dbfa2a074789b0d0aef17"></a><!-- doxytag: member="OgreConfig.h::OGRE_DOUBLE_PRECISION" ref="94111ac1715dbfa2a074789b0d0aef17" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_DOUBLE_PRECISION&nbsp;&nbsp;&nbsp;0          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
If set to 1, Real is typedef'ed to double. 
<p>
Otherwise, Real is typedef'ed to float. Setting this allows you to perform mathematical operations in the CPU (Quaternion, Vector3 etc) with more precision, but bear in mind that the GPU still operates in single-precision mode. 
<p>Definition at line <a class="el" href="OgreConfig_8h-source.html#l00061">61</a> of file <a class="el" href="OgreConfig_8h-source.html">OgreConfig.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ec70545291c5268ff4007e5516f09985"></a><!-- doxytag: member="OgreConfig.h::OGRE_MAX_BLEND_WEIGHTS" ref="ec70545291c5268ff4007e5516f09985" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_MAX_BLEND_WEIGHTS&nbsp;&nbsp;&nbsp;4          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Define max number of blending weights allowed per vertex. 
<p>

<p>Definition at line <a class="el" href="OgreConfig_8h-source.html#l00078">78</a> of file <a class="el" href="OgreConfig_8h-source.html">OgreConfig.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1555343fe7aade0966aa442f2e0c16f5"></a><!-- doxytag: member="OgreConfig.h::OGRE_MAX_MULTIPLE_RENDER_TARGETS" ref="1555343fe7aade0966aa442f2e0c16f5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_MAX_MULTIPLE_RENDER_TARGETS&nbsp;&nbsp;&nbsp;8          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Define max number of multiple render targets (MRTs) to render to at once. 
<p>

<p>Definition at line <a class="el" href="OgreConfig_8h-source.html#l00093">93</a> of file <a class="el" href="OgreConfig_8h-source.html">OgreConfig.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3d20e242d4a6aab7de105d85608b286a"></a><!-- doxytag: member="OgreConfig.h::OGRE_MAX_SIMULTANEOUS_LIGHTS" ref="3d20e242d4a6aab7de105d85608b286a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_MAX_SIMULTANEOUS_LIGHTS&nbsp;&nbsp;&nbsp;8          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Define max number of lights allowed per pass. 
<p>

<p>Definition at line <a class="el" href="OgreConfig_8h-source.html#l00074">74</a> of file <a class="el" href="OgreConfig_8h-source.html">OgreConfig.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="73f03c4000193e826a1489b02ea50309"></a><!-- doxytag: member="OgreConfig.h::OGRE_MAX_TEXTURE_COORD_SETS" ref="73f03c4000193e826a1489b02ea50309" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_MAX_TEXTURE_COORD_SETS&nbsp;&nbsp;&nbsp;6          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Define number of texture coordinate sets allowed per vertex. 
<p>

<p>Definition at line <a class="el" href="OgreConfig_8h-source.html#l00066">66</a> of file <a class="el" href="OgreConfig_8h-source.html">OgreConfig.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1c5fd80e6e0f2f85d6facbe1ec8eb5a4"></a><!-- doxytag: member="OgreConfig.h::OGRE_MAX_TEXTURE_LAYERS" ref="1c5fd80e6e0f2f85d6facbe1ec8eb5a4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_MAX_TEXTURE_LAYERS&nbsp;&nbsp;&nbsp;16          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Define max number of texture layers allowed per pass on any card. 
<p>

<p>Definition at line <a class="el" href="OgreConfig_8h-source.html#l00070">70</a> of file <a class="el" href="OgreConfig_8h-source.html">OgreConfig.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="27185026ec1dba493d4ec515ac26f35e"></a><!-- doxytag: member="OgreConfig.h::OGRE_NO_DDS_CODEC" ref="27185026ec1dba493d4ec515ac26f35e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_NO_DDS_CODEC&nbsp;&nbsp;&nbsp;0          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Disables use of the internal image codec for loading DDS files. 
<p>
WARNING: Use only when you want to provide your own image loading code via codecs. 
<p>Definition at line <a class="el" href="OgreConfig_8h-source.html#l00125">125</a> of file <a class="el" href="OgreConfig_8h-source.html">OgreConfig.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="70c461ba59b8a4754467ed12477d19ed"></a><!-- doxytag: member="OgreConfig.h::OGRE_NO_DEVIL" ref="70c461ba59b8a4754467ed12477d19ed" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_NO_DEVIL&nbsp;&nbsp;&nbsp;1          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Disables use of the DevIL image library for loading images. 
<p>
By default DevIL is disabled in Eihort in favour of FreeImage, but you may re-enable it if you choose 
<p>Definition at line <a class="el" href="OgreConfig_8h-source.html#l00118">118</a> of file <a class="el" href="OgreConfig_8h-source.html">OgreConfig.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e01b5c1e6dc6e58e47575ae559ae714d"></a><!-- doxytag: member="OgreConfig.h::OGRE_NO_FREEIMAGE" ref="e01b5c1e6dc6e58e47575ae559ae714d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_NO_FREEIMAGE&nbsp;&nbsp;&nbsp;0          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Disables use of the FreeImage image library for loading images. 
<p>
WARNING: Use only when you want to provide your own image loading code via codecs. 
<p>Definition at line <a class="el" href="OgreConfig_8h-source.html#l00110">110</a> of file <a class="el" href="OgreConfig_8h-source.html">OgreConfig.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="25da6395d80814d615a4db506aac2be0"></a><!-- doxytag: member="OgreConfig.h::OGRE_PRETEND_TEXTURE_UNITS" ref="25da6395d80814d615a4db506aac2be0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_PRETEND_TEXTURE_UNITS&nbsp;&nbsp;&nbsp;0          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
If set to &gt;0, OGRE will always 'think' that the graphics card only has the number of texture units specified. 
<p>
Very useful for testing multipass fallback. 
<p>Definition at line <a class="el" href="OgreConfig_8h-source.html#l00053">53</a> of file <a class="el" href="OgreConfig_8h-source.html">OgreConfig.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="32f2c6d9561997c849e610d3b4b34a35"></a><!-- doxytag: member="OgreConfig.h::OGRE_PROFILING" ref="32f2c6d9561997c849e610d3b4b34a35" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_PROFILING&nbsp;&nbsp;&nbsp;0          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
If set to 1, profiling code will be included in the application. 
<p>
When you are deploying your application you will probably want to set this to 0 
<p>Definition at line <a class="el" href="OgreConfig_8h-source.html#l00041">41</a> of file <a class="el" href="OgreConfig_8h-source.html">OgreConfig.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fa59b2959a6c7c31903b38cb2a99f28d"></a><!-- doxytag: member="OgreConfig.h::OGRE_THREAD_SUPPORT" ref="fa59b2959a6c7c31903b38cb2a99f28d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define OGRE_THREAD_SUPPORT&nbsp;&nbsp;&nbsp;0          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Indicate general support for multithreading. 
<p>
This will enable threading support in certain parts of the engine, mainly resource loading and SharedPtr handling. The places where threading is available are clearly marked, you should assume state is NOT thread safe unless otherwise stated in relation to this flag. 
<p>Definition at line <a class="el" href="OgreConfig_8h-source.html#l00103">103</a> of file <a class="el" href="OgreConfig_8h-source.html">OgreConfig.h</a>.</p>

</div>
</div><p>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:57 2008
</p>
</body>
</html>
